API reference
IP Addresses
The server's IP addresses, shared and dedicated.
IP addresses an account can use
GET/api/v1/ips/choices
Responses
- 200 OK
Body
Field Type itemsarray of StoreIPChoice - 401 Unauthorized: no session, or an invalid or expired token
- 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
- 500 Internal Server Error: internal
List the server's IP addresses
GET/api/v1/server/ips
Responses
- 200 OK
Body
Field Type itemsarray of StoreIPAddress shared_idstring systemmap of any system_errorstring - 401 Unauthorized: no session, or an invalid or expired token
- 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
- 500 Internal Server Error: internal
Add IP addresses
POST/api/v1/server/ips
Request body
| Field | Type |
|---|---|
input | string |
interface | string |
kind | string |
Responses
- 201 Created
Body
Field Type addedarray of StoreIPAddress skippedarray of string - 400 Bad Request: validation
- 401 Unauthorized: no session, or an invalid or expired token
- 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
Remove an IP address
DELETE/api/v1/server/ips/{iid}
Parameters
| Name | In |
|---|---|
iid | path |
Responses
- 204 Done, no content
- 401 Unauthorized: no session, or an invalid or expired token
- 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
- 404 Not Found: not-found
- 409 Conflict: in-use
- 500 Internal Server Error: internal
Bind an IP address to the network interface
POST/api/v1/server/ips/{iid}/bind
Parameters
| Name | In |
|---|---|
iid | path |
Request body
| Field | Type |
|---|---|
action | string |
dry_run | boolean |
interface | string |
Responses
- 200 OK
Body
map of any
- 400 Bad Request: rejected, validation
- 401 Unauthorized: no session, or an invalid or expired token
- 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
- 404 Not Found: not-found
- 409 Conflict: in-use, main-ip
- 500 Internal Server Error: internal
Make an IP address shared or dedicated
PUT/api/v1/server/ips/{iid}/kind
Parameters
| Name | In |
|---|---|
iid | path |
Request body
| Field | Type |
|---|---|
kind | string |
Responses
- 200 OK
Body
Field Type account_idstring accountsalwaysinteger addressalwaysstring created_atalwaysinteger familyalwaysinteger idalwaysstring interfacestring kindalwaysstring nat_publicstring prefix_lenalwaysinteger usernamestring - 400 Bad Request: validation
- 401 Unauthorized: no session, or an invalid or expired token
- 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
- 404 Not Found: not-found
- 409 Conflict: in-use
- 500 Internal Server Error: internal